#### D.5.2.8 sum_of_powers

Procedure from library `chern.lib` (see chern_lib).

Usage:
  sum_of_powers(k, l); k non-negative integer, l list of polynomials

Return:
  polynomial

Purpose:
  computes the sum of k-th powers of the entries of l

Note:
  returns 0 if k is negative

Example:

    LIB "chern.lib";
    ring r = 0, (x, y, z), dp;
    list l=x, y, z;
    //sum of 7-th powers of x, y, z
    print( sum_of_powers(7, l) );

User manual for Singular version 4.4.1, 2025, generated by texi2html.